package com.tanpu.fund.service;

import com.tanpu.common.model.Page;
import com.tanpu.common.model.Pageable;
import com.tanpu.common.model.product.req.ProductListReq;
import com.tanpu.common.model.product.resp.AttachmentInfoVO;
import com.tanpu.common.model.product.resp.DynamicRetreatVO;
import com.tanpu.common.model.product.resp.FundDateResp;
import com.tanpu.common.model.product.resp.ProductInfoVO;
import com.tanpu.fund.api.model.req.NetReq;
import com.tanpu.fund.api.model.req.ProductInfoReq;
import com.tanpu.fund.api.model.resp.*;

import java.util.List;

/**
 * @author: zhoupeng
 * @email: zhoupeng_08@163.com
 */
public interface ProductService {
    Page<ProductInfoVO> getProductList(ProductInfoReq req);

    ProductInfoVO getProductDetail(String id);

    Page<ProductInfoVO> getNotTanpuProduct(ProductInfoReq req);

    UnitNetVO getUnitNet(String id, String ratioId, String type);

    UnitNetVO getProfitTrend(String id, String ratioId, String type, Long beginTime, Long endTime);

    Page<NetVO> getNetList(NetReq req);

    List<TrackRecordVO> getTrackRecord(String id);

    Page<TrackNetVO> getTrackNetList(String id, Pageable page);

    List<RiskRatingVO> getRiskRating(String id);

    List<FundManagerVO> getFundManager(String id);

    FundRecordVO getFundRecord(String id);

    FundCompanyVO getFundCompany(String id);

    List<ProductInfoVO> getProductInfolist(ProductListReq req);

    List<ProductInfoVO> getNotTanpuProductInfolist(ProductListReq req);

    DynamicRetreatVO getDynamicRetreat(String id);

}
